.TH "siggen::ThreadManagerBase" 3 "Wed Oct 9 2019" "Version 1.0" "SigGen" \" -*- nroff -*-
.ad l
.nh
.SH NAME
siggen::ThreadManagerBase \- base for threading manager  

.SH SYNOPSIS
.br
.PP
.PP
\fC#include <ThreadManagerBase\&.h>\fP
.PP
Inherited by \fBsiggen::ThreadManager\fP\&.
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "virtual void \fBProcessToBuffer\fP (std::vector< char > &result)=0"
.br
.RI "processes data assigned to thread manager "
.in -1c
.SS "Static Public Member Functions"

.in +1c
.ti -1c
.RI "static std::unique_ptr< \fBThreadManagerBase\fP > \fBFactory\fP (ThreadingPolicy policy, \fBData\fP &&data)"
.br
.RI "creates threading manager according to ThreadingPolicy "
.in -1c
.SH "Detailed Description"
.PP 
base for threading manager 
.PP
Definition at line 13 of file ThreadManagerBase\&.h\&.
.SH "Member Function Documentation"
.PP 
.SS "std::unique_ptr< \fBThreadManagerBase\fP > siggen::ThreadManagerBase::Factory (ThreadingPolicy policy, \fBData\fP && data)\fC [static]\fP"

.PP
creates threading manager according to ThreadingPolicy 
.PP
\fBParameters\fP
.RS 4
\fIpolicy\fP specification of type of threading manager to be created 
.br
\fIdata\fP configuration data to be moved to created threading manager
.RE
.PP
\fBReturns\fP
.RS 4
threading manager or throws an exception 
.RE
.PP
\fBExceptions\fP
.RS 4
\fIstd::runtime_error\fP 
.RE
.PP

.PP
Definition at line 11 of file ThreadManagerBase\&.cpp\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for SigGen from the source code\&.
